# get_max_level

Returns the deepest Branch-and-bound level of the last solution.

int get_max_level(lprec *lp);

Return Value

get_max_level returns the deepest Branch-and-bound level of the last solution.

Parameters

lp

Pointer to previously created lp model. See return value of make_lp, copy_lp, read_lp, read_LP, read_mps, read_freemps, read_MPS, read_freeMPS, read_XLI

Remarks

The get_max_level function returns the deepest Branch-and-bound level of the last solution.
Is only applicable if the model contains integer variables.

Example

    #include <stdio.h>
    #include <stdlib.h>
    #include "lp_lib.h"

    int main(void)
    {
      lprec *lp;
      int max_level;

      /* Create a new LP model */
      lp = make_lp(0, 0);
      if(lp == NULL) {
        fprintf(stderr, "Unable to create new LP model\n");
        return(1);
      }

      max_level = get_max_level(lp);

      delete_lp(lp);
      return(0);
    }

lp_solve API reference

See Also make_lp, copy_lp, read_lp, read_LP, read_mps, read_freemps, read_MPS, read_freeMPS, read_XLI get_total_nodes, get_total_iter